#by: Sire Solo

#Fake Portals
execute at @a[scores={portal=0}] run clone 16 4 9 16 6 7 16 13 7
execute at @a[scores={portal=0}] run clone 16 4 9 16 6 7 0 13 7
execute at @a[scores={portal=0}] run clone 9 4 0 7 6 0 7 13 0
execute at @a[scores={portal=0}] run clone 9 4 0 7 6 0 7 13 16


scoreboard players add @a[scores={portal=0}] portal 1


spawnpoint @a[gamemode=adventure,scores={Start=1,In=0}] 8 5 8


#Change Worlds
#1-2
execute at @a[x=8,y=4,z=8,distance=..2] if block ~ ~-1 ~ green_stained_glass run tellraw @p ["",{"text":"\n"},{"text":"\n"},{"text":"\n"},{"text":"\n"},{"text":"\n"},{"text":"\n"},{"text":"\n"},{"text":"\n"},{"text":"\n"},{"text":"\n"},{"text":"\n"},{"text":"\n"},{"text":"\n"},{"text":"\n"},{"text":"\n"},{"text":"\n"},{"text":"\n"},{"text":"\n"},{"text":"\n"},{"text":"Warp to "},{"text":"                                                                [Next World]","color":"dark_green","clickEvent":{"action":"run_command","value":"/tp @s 8 14 8"}}]


#Level Teleports
#1-1
execute at @a[x=16,y=4,z=8,distance=..1.5] run function crash:level/reset/1
scoreboard players set @a[x=16,y=4,z=8,distance=..1.5] Level 1
scoreboard players set @a[x=16,y=4,z=8,distance=..1.5] In 1
scoreboard players set @a[x=16,y=4,z=8,distance=..1.5] tick 0
scoreboard players set @a[x=16,y=4,z=8,distance=..1.5] start 1
execute at @a[x=16,y=4,z=8,distance=..1.5] run summon armor_stand 20 5 8 {Invulnerable:1b,PersistenceRequired:1b,Tags:["check"],CustomName:"{\"text\":\"Check Point\",\"color\":\"yellow\",\"italic\":\"true\"}",DisabledSlots:2039583}
execute at @e[name="Check Point"] run spawnpoint @a ~ ~ ~
tp @p[x=16,y=4,z=8,distance=..1.5,scores={Level=1,In=1}] 20 5 8

#1-2
execute at @a[x=8,y=4,z=16,distance=..1.5] run function crash:level/reset/2
scoreboard players set @a[x=8,y=4,z=16,distance=..1.5] Level 2
scoreboard players set @a[x=8,y=4,z=16,distance=..1.5] In 1
scoreboard players set @a[x=8,y=4,z=16,distance=..1.5] tick 0
scoreboard players set @a[x=8,y=4,z=16,distance=..1.5] start 1
execute at @a[x=8,y=4,z=16,distance=..1.5] run summon armor_stand -17 4 21 {Invulnerable:1b,PersistenceRequired:1b,Tags:["check"],CustomName:"{\"text\":\"Check Point\",\"color\":\"yellow\",\"italic\":\"true\"}",DisabledSlots:2039583}
execute at @e[name="Check Point"] run spawnpoint @a ~ ~ ~
tp @p[x=8,y=4,z=16,distance=..1.5,scores={Level=2,In=1}] -17 4 21

#1-3
execute at @a[x=0,y=4,z=8,distance=..1.5] run function crash:level/reset/3
scoreboard players set @a[x=0,y=4,z=8,distance=..1.5] Level 3
scoreboard players set @a[x=0,y=4,z=8,distance=..1.5] In 1
scoreboard players set @a[x=0,y=4,z=8,distance=..1.5] tick 0
scoreboard players set @a[x=0,y=4,z=8,distance=..1.5] start 1
execute at @a[x=0,y=4,z=8,distance=..1.5] run summon armor_stand -28 20 -5 {Invulnerable:1b,PersistenceRequired:1b,Tags:["check"],CustomName:"{\"text\":\"Check Point\",\"color\":\"yellow\",\"italic\":\"true\"}",DisabledSlots:2039583}
execute at @e[name="Check Point"] run spawnpoint @a ~ ~ ~
tp @p[x=0,y=4,z=8,distance=..1.5,scores={Level=3,In=1}] -28 20 -5

#1-4
execute at @a[x=8,y=4,z=0,distance=..1.5] run function crash:level/reset/4
scoreboard players set @a[x=8,y=4,z=0,distance=..1.5] Level 4
scoreboard players set @a[x=8,y=4,z=0,distance=..1.5] In 1
scoreboard players set @a[x=8,y=4,z=0,distance=..1.5] tick 0
scoreboard players set @a[x=8,y=4,z=0,distance=..1.5] start 1
execute at @a[x=8,y=4,z=0,distance=..1.5] run summon armor_stand 0 3 -61 {Invulnerable:1b,PersistenceRequired:1b,Tags:["check"],CustomName:"{\"text\":\"Check Point\",\"color\":\"yellow\",\"italic\":\"true\"}",DisabledSlots:2039583}
execute at @e[name="Check Point"] run spawnpoint @a ~ ~ ~
tp @p[x=8,y=4,z=0,distance=..1.5,scores={Level=4,In=1}] 0 3 -61


#2-2
execute at @a[x=8,y=14,z=16,distance=..1.5] run function crash:level/reset/6
scoreboard players set @a[x=8,y=14,z=16,distance=..1.5] Level 6
scoreboard players set @a[x=8,y=14,z=16,distance=..1.5] In 1
scoreboard players set @a[x=8,y=14,z=16,distance=..1.5] tick 0
scoreboard players set @a[x=8,y=14,z=16,distance=..1.5] start 1
execute at @a[x=8,y=14,z=16,distance=..1.5] run summon armor_stand 8 5 20 {Invulnerable:1b,PersistenceRequired:1b,Tags:["check"],CustomName:"{\"text\":\"Check Point\",\"color\":\"yellow\",\"italic\":\"true\"}",DisabledSlots:2039583}
execute at @e[name="Check Point"] run spawnpoint @a ~ ~ ~
tp @p[x=8,y=14,z=16,distance=..1.5,scores={Level=6,In=1}] 8 5 20


#turn off beams
setblock 211 3 -1 stone
setblock 16 3 104 stone
setblock -22 16 141 stone
setblock 6 5 -22 stone